// for_test.c - demonstration of the for loop

unsigned count_ = 0;
unsigned count1_ = 0;

main()
{
  // counts down to 1 and prints intermediate numbers
  for(count_ = 5; count_ > 0; count_--)
    printf("%u ",count_);
  printf("\n");

  // this also yields the same result
  count_ = 5;
  for(; count_ > 0; count_--)
    printf("%u ",count_);
  printf("\n");

  // it's also possible to count two numbers at once
  for(count_ = 5, count1_ = 10; count_ > 0;
      count_--, count1_--)
    printf("%u (count1_: %u) \n",count_,count1_);
  printf("\n");

}
